summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tltestnet
diff options
context:
space:
mode:
Diffstat (limited to 'Master/tlpkg/bin/tltestnet')
-rwxr-xr-xMaster/tlpkg/bin/tltestnet78
1 files changed, 78 insertions, 0 deletions
diff --git a/Master/tlpkg/bin/tltestnet b/Master/tlpkg/bin/tltestnet
new file mode 100755
index 00000000000..38248e89a2f
--- /dev/null
+++ b/Master/tlpkg/bin/tltestnet
@@ -0,0 +1,78 @@
+#!/bin/sh
+# $Id$
+# Public domain. Originally written 2019, Karl Berry.
+#
+# Convenience script for the 2019 change to versioned containers.
+# See tlpkg/doc/packages.txt for some info. Assumes variables
+# in ~karl/.bash_login and plenty more, sorry.
+
+renice 20 $$ >&/dev/null
+cd $HOME
+
+if test "x$1" = x-s; then
+ svn=/usr/local/bin/svn
+ for f in $xx/tlmgr.pl $pp/TLPOBJ.pm $pb/tl-update-containers; do
+ test -z "`$svn status $f`" || { echo "$f modified, goodbye"; exit 1; }
+ cp -pv $f.new $f || exit 1
+ done
+ exit 0
+
+elif test "x$1" = x-S; then
+ svn=/usr/local/bin/svn
+ for f in $xx/tlmgr.pl $pp/TLPOBJ.pm $pb/tl-update-containers; do
+ cmp -s $f $f.new || { echo "modified $f, goodbye"; exit 1; }
+ mv $f $f.new || exit 1
+ $svn update $f
+ done
+ exit 0
+
+elif test "x$1" = x-d; then
+ for f in $xx/tlmgr.pl $pp/TLPOBJ.pm $pb/tl-update-containers; do
+ diff -u1 $f $f.new
+ done >/tmp/dif
+ exit 0
+
+elif test "x$1" = x-i; then
+ dest=/tmp/ki
+ PATH=$dest/bin/x86_64-linux:/usr/bin; export PATH
+ rm -rf $dest*
+ #
+ TEXLIVE_INSTALL_ENV_NOCHECK=1; export TEXLIVE_INSTALL_ENV_NOCHECK
+ TEXLIVE_INSTALL_NO_WELCOME=1; export TEXLIVE_INSTALL_NO_WELCOME
+ #
+ pro=--profile=/home/texlive/trunk/Master/tlpkg/dev/profiles/TLinfra.pro
+ #
+ thisrel=/usr/local/texlive/`date +%Y`
+ $thisrel/install-tl $pro || exit 1 # make throwaway test install
+ exit $?
+
+elif test "x$1" = x-u || test "x$1" = x--all || test "x$1" = x--self; then
+ if test "x$1" = x-u || test "x$1" = x--all; then
+ uarg=--all
+ elif test "x$1" = x--self; then
+ uarg=--self
+ else
+ echo "$0: impossible update arg: $1" >&2
+ exit 1
+ fi
+ for i in tlftp tldsk tldev tla; do
+ bin=/tmp/$i/bin/x86_64-linux
+ printf "\n\f $bin\n"
+ env PATH=$bin:/usr/bin tlmgr update $uarg
+ done
+
+else
+ echo "$0: what to do? ($*)" >&2
+ exit 1
+fi
+
+##repo=--repo=/home/ftp/texlive/test-tlnet
+##repo=--repo=/home/ftp/texlive/tlnet
+##repo=--repo=/home/ftp/texlive/tlcritical
+##repo=--repo=/home/ftp/texlive/tlverpkg
+##repo=--repo=ftp://fm.tug.org/texlive/test-tlnet
+#
+#set -x
+#tlmgr version
+#tlmgr -v $repo update --self
+##tlmgr $repo update